Index: EcnlProtoTool/trunk/prototool/.cproject
===================================================================
--- EcnlProtoTool/trunk/prototool/.cproject	(revision 279)
+++ EcnlProtoTool/trunk/prototool/.cproject	(revision 331)
@@ -41,5 +41,5 @@
 							</tool>
 							<tool id="com.renesas.cdt.rz.debug.win32.tool.compiler.Id.1599684796" name="Compiler" superClass="com.renesas.cdt.rz.debug.win32.tool.compiler.Id">
-								<option defaultValue="true" id="com.renesas.cdt.core.Compiler.option.misc2.705849748" name="æ¨æºã·ã¹ãã ã»ãã£ã¬ã¯ããªã¼ã§ãããã¼ã»ãã¡ã¤ã«ãæ¤ç´¢ããªã (-nostdinc)" superClass="com.renesas.cdt.core.Compiler.option.misc2" value="false" valueType="boolean"/>
+								<option defaultValue="true" id="com.renesas.cdt.core.Compiler.option.misc2.705849748" name="æ¨æºã·ã¹ãã ã»ãã£ã¬ã¯ããªã¼ã§ãããã¼ã»ãã¡ã¤ã«ãæ¤ç´¢ããªã (-nostdinc)" superClass="com.renesas.cdt.core.Compiler.option.misc2" value="true" valueType="boolean"/>
 								<option id="com.renesas.cdt.rz.Debug.Compiler.option.architecture.1326747160" name="ã¢ã¼ã­ãã¯ãã£ã¼" superClass="com.renesas.cdt.rz.Debug.Compiler.option.architecture" value="com.renesas.cdt.rz.Debug.Compiler.option.architecture.armv7a" valueType="enumerated"/>
 								<option id="com.renesas.cdt.rz.Debug.Compiler.option.cpuType.1644847738" name="CPU ã¿ã¤ã" superClass="com.renesas.cdt.rz.Debug.Compiler.option.cpuType" value="com.renesas.cdt.rz.Debug.Compiler.option.cpuType.rza" valueType="enumerated"/>
@@ -53,18 +53,12 @@
 								<option id="com.renesas.cdt.core.Compiler.option.device.443282008" name="Device" superClass="com.renesas.cdt.core.Compiler.option.device" value="R7S721001" valueType="string"/>
 								<option id="com.renesas.cdt.core.Compiler.option.deviceShortName.752035440" name="DeviceShortName" superClass="com.renesas.cdt.core.Compiler.option.deviceShortName" value="R7S721001" valueType="string"/>
-								<option id="com.renesas.cdt.core.Compiler.option.stackSizeInDecimal.1821950522" name="Decimal representation of '-Wsatck-usage'" superClass="com.renesas.cdt.core.Compiler.option.stackSizeInDecimal" value="256" valueType="string"/>
+								<option id="com.renesas.cdt.core.Compiler.option.stackSizeInDecimal.1821950522" name="Decimal representation of '-Wstack-usage'" superClass="com.renesas.cdt.core.Compiler.option.stackSizeInDecimal" value="256" valueType="string"/>
 								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.core.Compiler.option.includeFileDir.461834980" name="ã¤ã³ã¯ã«ã¼ãã»ãã¡ã¤ã«ã»ãã£ã¬ã¯ããªã¼" superClass="com.renesas.cdt.core.Compiler.option.includeFileDir" valueType="includePath">
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:}/musl-1.1.12/include&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:}/onigmo-5.15.0/src&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/hal}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/api}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/cmsis}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/hal/TARGET_RENESAS/TARGET_RZ_A1H}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/cmsis/TARGET_RENESAS/TARGET_RZ_A1H}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/cmsis/TARGET_RENESAS/TARGET_RZ_A1H/inc}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/asp3_dcre/mbed/targets/cmsis/TARGET_RENESAS/TARGET_RZ_A1H/inc/iodefines}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/mruby-1.2.0/include}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/musl-1.1.18/include}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:}/onigmo-6.1.3/src&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/mruby-1.3.0/include}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/mbed_api/src}&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/src}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:}/ntshell/ntshell&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:}/ntshell&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;${workspace_loc:}/ntshell/gr_peach&quot;"/>
 								</option>
@@ -72,5 +66,4 @@
 									<listOptionValue builtIn="false" value="MRB_GC_STRESS"/>
 									<listOptionValue builtIn="false" value="MRB_ENABLE_DEBUG_HOOK"/>
-									<listOptionValue builtIn="false" value="FD_SETSIZE=32"/>
 								</option>
 								<option id="com.renesas.cdt.core.Compiler.option.stdWarnings.1803476376" name="æ¨æºã®è­¦å" superClass="com.renesas.cdt.core.Compiler.option.stdWarnings" value="com.renesas.cdt.core.Compiler.option.stdWarnings.enableAll" valueType="enumerated"/>
@@ -118,4 +111,5 @@
 ã®å¯¾å¿ããã»ã¯ã·ã§ã³ã«é
 ç½®ãã (-ffunction-sections)" superClass="com.renesas.cdt.core.Compiler.option.misc19" value="true" valueType="boolean"/>
+								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="true" id="com.renesas.cdt.rz.Debug.Compiler.option.userDefinedOptions.203692350" name="ã¦ã¼ã¶ã¼å®ç¾©ãªãã·ã§ã³" superClass="com.renesas.cdt.rz.Debug.Compiler.option.userDefinedOptions" valueType="stringList"/>
 								<inputType id="%Base.Compiler.C.InputType.Id.347710053" name="C å
 ¥å" superClass="%Base.Compiler.C.InputType.Id"/>
@@ -138,8 +132,13 @@
 							<tool command="arm-none-eabi-gcc" id="com.renesas.cdt.rz.debug.win32.tool.linker.Id.68534288" name="Linker" superClass="com.renesas.cdt.rz.debug.win32.tool.linker.Id">
 								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.rz.Debug.Linker.option.archiveSearchDirectories.1048191791" name="ã¢ã¼ã«ã¤ãæ¤ç´¢ãã£ã¬ã¯ããªã¼" superClass="com.renesas.cdt.rz.Debug.Linker.option.archiveSearchDirectories" valueType="stringList">
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/musl-1.1.18/lib}&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/${ProjName}/lib}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/tcc-0.9.26/Debug}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/onigmo-5.15.0/Debug}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/mruby-1.2.0/build/arm-none-eabi/lib}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/openssl-1.1.0e/Debug}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/zlib-1.2.11/Debug}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/curl-7.57.0/Debug}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/tcc-0.9.27/Debug}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/onigmo-6.1.3/Debug}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/mbed_api/Debug}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/mruby-1.3.0/build/arm-none-eabi/lib}&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;${TCINSTALL}/lib/gcc/arm-none-eabi/${GCC_VERSION}/armv7-ar/thumb/fpu&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;${TCINSTALL}/arm-none-eabi/lib/armv7-ar/thumb/fpu&quot;"/>
@@ -164,13 +163,5 @@
 									<listOptionValue builtIn="false" value="&quot;.\src\xprintf.o&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;.\src\arduino.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src\shellif.o&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/ntshell/Debug/ntshell_bin.o}&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src/musl\freeaddrinfo.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src/musl\gai_strerror.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src/musl\getaddrinfo.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src/musl\inet_aton.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src/musl\lookup_ipliteral.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src/musl\lookup_name.o&quot;"/>
-									<listOptionValue builtIn="false" value="&quot;.\src/musl\lookup_serv.o&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;.\src/libbb\bb_strtonum.o&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;.\src/libbb\bb_time.o&quot;"/>
@@ -194,18 +185,26 @@
 									<listOptionValue builtIn="false" value="&quot;.\src/libbb\xfuncs.o&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;.\src/libbb\xfuncs_printf.o&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;.\src\shellif.o&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/musl-1.1.18/lib/crt1.o}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/musl-1.1.18/lib/libc.a}&quot;"/>
 								</option>
 								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.core.Linker.option.additionalInputFiles.1022783886" name="è¿½å å
 ¥åãã¡ã¤ã«" superClass="com.renesas.cdt.core.Linker.option.additionalInputFiles" valueType="userObjs">
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/musl-1.1.18/lib/crt1.o}&quot;"/>
+									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/musl-1.1.18/lib/libc.a}&quot;"/>
 									<listOptionValue builtIn="false" value="&quot;${workspace_loc:/ntshell/Debug/ntshell_bin.o}&quot;"/>
 								</option>
 								<option id="com.renesas.cdt.core.Linker.option.linkOrderUsed.1088314581" name="ãªã³ã¯é ã®ã«ã¹ã¿ãã¤ãºä½¿ç¨" superClass="com.renesas.cdt.core.Linker.option.linkOrderUsed" value="false" valueType="boolean"/>
 								<option IS_BUILTIN_EMPTY="false" IS_VALUE_EMPTY="false" id="com.renesas.cdt.rz.Debug.Linker.option.archiveLibraryFiles.397699621" name="ã¢ã¼ã«ã¤ã ( ã©ã¤ãã©ãªã¼ ) ãã¡ã¤ã«" superClass="com.renesas.cdt.rz.Debug.Linker.option.archiveLibraryFiles" valueType="stringList">
-									<listOptionValue builtIn="false" value="out"/>
-									<listOptionValue builtIn="false" value="m"/>
 									<listOptionValue builtIn="false" value="gcc"/>
+									<listOptionValue builtIn="false" value="ce"/>
+									<listOptionValue builtIn="false" value="openssl"/>
+									<listOptionValue builtIn="false" value="z"/>
+									<listOptionValue builtIn="false" value="curl"/>
+									<listOptionValue builtIn="false" value="tcc"/>
 									<listOptionValue builtIn="false" value="onigmo"/>
 									<listOptionValue builtIn="false" value="mruby"/>
 									<listOptionValue builtIn="false" value="mrbcode"/>
-									<listOptionValue builtIn="false" value="tcc"/>
+									<listOptionValue builtIn="false" value="mbed_api"/>
 								</option>
 								<option command="-Wl,--gc-sections" id="com.renesas.cdt.core.Linker.option.misc19.807194175" name="æªä½¿ç¨ã®å
@@ -249,3 +248,4 @@
 		</buildTargets>
 	</storageModule>
+	<storageModule moduleId="org.eclipse.cdt.internal.ui.text.commentOwnerProjectMappings"/>
 </cproject>
